/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2022 . All rights reserved.
*
*/
package net.northking.cctp.scriptcase.dto.component;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.List;

/**
* 查询接口--数据传输对象：业务组件目录树
*
* createdate:  2022-09-21 17:03:55  <br>
* @author:  maven-cctp-plugin  <br>
* @since:  1.0 <br>
*/
@JsonSerialize
@ApiModel(description = "业务组件目录树")
public class BusComponentTreeQueryDto implements Serializable
{
    /**
     * 名称<br>
     */
    @ApiModelProperty("名称")
    private String treeName;
    /**
     * 系统idList<br>
     */
    @ApiModelProperty("系统id")
    private List<String> projectList;
    /**
     * 系统id<br>
     */
    @ApiModelProperty("系统id")
    private String projectId;
    /**
     * 父节点id<br>
     */
    @ApiModelProperty("父节点id")
    private String parentId;

    @ApiModelProperty("是否多系统。默认false非多系统")
    private boolean isMultiItem;

    public String getTreeName() {
        return treeName;
    }

    public void setTreeName(String treeName) {
        this.treeName = treeName;
    }

    public List<String> getProjectList() {
        return projectList;
    }

    public void setProjectList(List<String> projectList) {
        this.projectList = projectList;
    }

    public String getProjectId() {
        return projectId;
    }

    public void setProjectId(String projectId) {
        this.projectId = projectId;
    }

    public String getParentId() {
        return parentId;
    }

    public void setParentId(String parentId) {
        this.parentId = parentId;
    }

    public boolean isMultiItem() {
        return isMultiItem;
    }

    public void setIsMultiItem(boolean isMultiItem) {
        this.isMultiItem = isMultiItem;
    }
}